<?php

namespace FiloBlu\SocialStream\Block\Widget;

use Magento\Framework\View\Element\Template;

class SocialStream extends \Magento\Framework\View\Element\Template implements \Magento\Widget\Block\BlockInterface {

    public $helper;
    protected $_storeManager;

    public function __construct(Template\Context $context, \FiloBlu\SocialStream\Helper\Data $helper, array $data = []) {
        $this->_storeManager = $context->getStoreManager();
        $this->helper = $helper;
        parent::__construct($context, $data);

        if (!defined('AJAX_SCRIPT')) {
            define('AJAX_SCRIPT', $this->_storeManager->getStore()->getBaseUrl() . "social-stream/");
        }


//        $om = \Magento\Framework\App\ObjectManager::getInstance();
//        /** @var \Magento\Framework\View\Page\Config $page */
//        $page = $om->get('Magento\Framework\View\Page\Config');
//
//        $page->addPageAsset('FiloBlu_SocialStream::public/css/styles.min.css');
//        $page->addPageAsset('FiloBlu_SocialStream::public/css/timeline-styles.css');
//        $page->addPageAsset('FiloBlu_SocialStream::public/css/lightslider.css');
//        $page->addPageAsset('FiloBlu_SocialStream::public/css/colorbox.css');

        // Setup Ads
        $GLOBALS['ads'][1] = array(
            array(
                'ad_position' => 3,
                'ad_type' => 'image',
                'ad_height' => null,
                'ad_border_size' => 1,
                'ad_border_color' => null,
                'ad_background_color' => null,
                'ad_text_align' => 'center',
                'ad_grid_size' => 'solo',
                'ad_text' => null,
                'ad_custom_code' => null,
                'ad_link_target' => 'blank',
                'ad_link' => 'http://axentmedia.com/',
                'ad_image' => 'http://axentmedia.com/wp-content/uploads/2016/10/ad-here-7.png',
            ),
            array(
                'ad_position' => 9,
                'ad_type' => 'image',
                'ad_border_size' => 1,
                'ad_text_align' => 'center',
                'ad_grid_size' => 'twofold',
                'ad_link_target' => 'blank',
                'ad_link' => 'http://axentmedia.com/',
                'ad_image' => 'http://axentmedia.com/wp-content/uploads/2016/10/ad-here-3.jpg',
            )
        );

    // Path to PHP Social Stream main file
        require_once(dirname(dirname(__DIR__)) . '/lib/social-stream/config.php');
        
        $this->helper->configToken();
        $this->helper->configTheme();
        
        require_once(dirname(dirname(__DIR__)) . '/lib/social-stream/social-stream.php');
    }

}
